Get attribute names and input fields
curl --request POST \
--url https://api.example.com/v3/evaluator-rules/map-input-keys \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"application_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"evaluator_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
'import requests
url = "https://api.example.com/v3/evaluator-rules/map-input-keys"
payload = {
"application_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"evaluator_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
application_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
evaluator_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a'
})
};
fetch('https://api.example.com/v3/evaluator-rules/map-input-keys', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"api_version": "3.0",
"kind": "NORMAL",
"data": {
"attribute_names": [
"<string>"
],
"semantic_names": [
{
"name": "<string>",
"display_name": "<string>"
}
],
"rule_input_keys": {
"type": "<string>",
"title": "<string>",
"description": "<string>",
"properties": {},
"required": [
"<string>"
],
"additional_properties": true
}
}
}{
"api_version": "3.0",
"kind": "ERROR",
"error": {
"code": 400,
"message": "Resource Not Found",
"errors": [
{
"reason": "ResourceNotFoundException",
"message": "Resource Not Found",
"help": "<string>"
}
]
}
}{
"api_version": "3.0",
"kind": "ERROR",
"error": {
"code": 400,
"message": "Resource Not Found",
"errors": [
{
"reason": "ResourceNotFoundException",
"message": "Resource Not Found",
"help": "<string>"
}
]
}
}{
"api_version": "3.0",
"kind": "ERROR",
"error": {
"code": 400,
"message": "Resource Not Found",
"errors": [
{
"reason": "ResourceNotFoundException",
"message": "Resource Not Found",
"help": "<string>"
}
]
}
}Evaluator Rules
Get attribute names and input fields
Get the possible attribute names detected in the application and the input fields with data type to fill out for the evaluator name
POST
/
v3
/
evaluator-rules
/
map-input-keys
Get attribute names and input fields
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Response
Possible attribute names and keys to map
⌘I